Source

shared / bin / browser

Diff from to

bin/browser

 #!/usr/bin/zsh
 
 X=()
-if (nmcli -t -f name con status | grep -q "UniWireless") ; then
-    X=("--proxy-pac-url=http://www.unimelb.edu.au/cgi-bin/proxy.pac")
-    echo "foo" >> ~/foo.bar
-else
-    echo "bar" >> ~/foo.bar
-fi
+#if (nmcli -t -f name con status | grep -q "UniWireless") ; then
+#   X=("--proxy-pac-url=http://www.ubnimelb.edu.au/cgi-bin/proxy.pac")
+#   echo "foo" >> ~/foo.bar
+#else
+#    echo "bar" >> ~/foo.bar
+#fi
 
-echo chromium-browser $X $@
+urlify (){
+    grep '^http\(s\|\)://'
+}
 
-chromium-browser $X $@
+searchify (){
+    sed -e '/http\(s\|\):/ ! s|^\(.*\)$|http://www.google.com/search?q=\1|'
+}
+
+URLS=()
+while getopts ':xc' OPTNAME ; do
+    case "$OPTNAME" in
+        x)
+            if 
+            URLS+=("$(xsel -p | searchify)")
+            ;;
+        c)
+            URLS+=("$(xsel -b | searchify)")
+            ;;
+        *)  echo "-$OPTNAME not yet implemented" >&2
+            ;;
+        [?])
+            echo >&2 "Usage: $0 "
+            exit 1
+            ;;
+    esac
+done
+shift $((OPTIND-1))
+
+
+
+echo chromium-browser $X $@ $URLS >> ~/foo.bar
+chromium-browser $X $@ $URLS
+
+